aboutsummaryrefslogtreecommitdiff
path: root/Tools
diff options
context:
space:
mode:
authorJoe Marcus Clarke <marcus@FreeBSD.org>2004-01-19 22:13:17 +0000
committerJoe Marcus Clarke <marcus@FreeBSD.org>2004-01-19 22:13:17 +0000
commit24f64c924d6d2560a40c44e6e9e0ad5ee15a8b56 (patch)
tree7273cb7a9179222120ad20172623abb0d358bf1f /Tools
parent9c572792cbb9c96daa656d9093006d800dbbc90b (diff)
downloadports-24f64c924d6d2560a40c44e6e9e0ad5ee15a8b56.tar.gz
ports-24f64c924d6d2560a40c44e6e9e0ad5ee15a8b56.zip
Notes
Diffstat (limited to 'Tools')
-rwxr-xr-xTools/portbuild/scripts/portbuild25
1 files changed, 23 insertions, 2 deletions
diff --git a/Tools/portbuild/scripts/portbuild b/Tools/portbuild/scripts/portbuild
index 25a40227cecd..b8d3c5cd4d00 100755
--- a/Tools/portbuild/scripts/portbuild
+++ b/Tools/portbuild/scripts/portbuild
@@ -11,6 +11,10 @@ cleanup()
pkgname=$5
#umount ${chroot}/proc
+
+ if [ ${arch} = "i386" ]; then
+ umount -f ${chroot}/compat/linux/proc
+ fi
umount -f ${chroot}/a/ports
umount -f ${chroot}/usr/opt/doc
@@ -222,9 +226,22 @@ else
>/dev/null 2>&1
fi
-chroot ${chroot} /sbin/ldconfig -m /usr/lib /usr/lib/compat
if [ ${arch} = "i386" ]; then
- chroot ${chroot} /sbin/ldconfig -aout -m /usr/lib/aout /usr/lib/compat/aout
+ # JDK ports need linprocfs :(
+ mkdir -p ${chroot}/compat/linux/proc
+ mount -t linprocfs linprocfs ${chroot}/compat/linux/proc
+fi
+
+_ldconfig_dirs="/lib /usr/lib /usr/lib/compat"
+ldconfig_dirs=""
+for i in ${_ldconfig_dirs}; do
+ if [ -d ${chroot}/${i} ]; then
+ ldconfig_dirs="${ldconfig_dirs} ${i}"
+ fi
+done
+chroot ${chroot} /sbin/ldconfig ${ldconfig_dirs}
+if [ ${arch} = "i386" ]; then
+ chroot ${chroot} /sbin/ldconfig -aout /usr/lib/aout /usr/lib/compat/aout
fi
while [ $# -gt 0 ]; do
@@ -280,6 +297,10 @@ if [ "${error}" = 0 ]; then
fi
if [ "${error}" = 0 ]; then
+ if [ "${branch}" = "4" ]; then
+ echo "Testing package integrity"
+ (gzip -t ${chroot}/tmp/packages/All/*.tgz && echo "Package ${pkgname} OK!") || echo "Package ${pkgname} corrupted!"
+ fi
tar -C ${chroot}/tmp -cf - packages | \
ssh -a -x ${user}@$master tar --unlink -C ${pb}/${arch}/${branch} -xvf -
ssh -a -x ${user}@$master [ -f ${pb}/${arch}/${branch}/packages/All/${pkgname}${PKGSUFFIX} ] '&&' touch ${pb}/${arch}/${branch}/packages/All/${pkgname}${PKGSUFFIX}